Close Wallet
curl --request POST \
--url https://waas-staging.embedly.ng/api/v1/wallets/close \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"accountNumber": "<string>",
"accountClosureReasonId": 123,
"tellerId": 123,
"closeOrDelete": true,
"customerOrAccount": true
}
'import requests
url = "https://waas-staging.embedly.ng/api/v1/wallets/close"
payload = {
"accountNumber": "<string>",
"accountClosureReasonId": 123,
"tellerId": 123,
"closeOrDelete": True,
"customerOrAccount": True
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
accountNumber: '<string>',
accountClosureReasonId: 123,
tellerId: 123,
closeOrDelete: true,
customerOrAccount: true
})
};
fetch('https://waas-staging.embedly.ng/api/v1/wallets/close', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": "200",
"success": true,
"message": "You can close this account.",
"data": {
// Additional details if applicable
}
}
{
"code": "400",
"success": false,
"message": "Invalid request data",
"data": null
}
{
"code": "401",
"success": false,
"message": "You do not have rights to access this account",
"data": null
}
{
"code": "403",
"success": false,
"message": "Access denied for this operation",
"data": null
}
{
"code": "500",
"success": false,
"message": "An unexpected error occurred",
"data": null
}
Close Wallet
The endpoint allows you to close a specified wallet using the account number and associated details.
POST
/
wallets
/
close
Close Wallet
Request Body
string
required
The account number to be closed or deleted. Example: “3023563113”
number
required
The ID representing the reason for account closure. Example: 0
number
The ID of the teller processing the closure. Example: 0
boolean
required
Specifies whether to close or delete the account. -
true: Delete the accountfalse: Close the account
boolean
required
Specifies whether the operation is for a customer or an account. -
true:
Customer - false: Account{
"code": "200",
"success": true,
"message": "You can close this account.",
"data": {
// Additional details if applicable
}
}
{
"code": "400",
"success": false,
"message": "Invalid request data",
"data": null
}
{
"code": "401",
"success": false,
"message": "You do not have rights to access this account",
"data": null
}
{
"code": "403",
"success": false,
"message": "Access denied for this operation",
"data": null
}
{
"code": "500",
"success": false,
"message": "An unexpected error occurred",
"data": null
}